<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
	<extension-point id="deviceimporter" name="%extension-point.name.deviceimporter"
		schema="schema/org_eclipse_mtj_deviceImporter.exsd" />
	<extension-point id="externallibrary" name="%extension-point.name.externallibrary"
		schema="schema/library.exsd" />
	<extension point="org.eclipse.jdt.core.classpathContainerInitializer">
		<classpathContainerInitializer
			class="org.eclipse.mtj.internal.core.externallibrary.classpath.ExternalLibraryClasspathContainerInitializer"
			id="org.eclipse.mtj.core.EXTERNAL_LIBRARY">
		</classpathContainerInitializer>
	</extension>

	<extension id="nature" name="%nature.name.j2me"
		point="org.eclipse.core.resources.natures">
		<requires-nature id="org.eclipse.jdt.core.javanature" />
		<runtime>
			<run class="org.eclipse.mtj.core.project.midp.J2MENature" />
		</runtime>
		<builder id="org.eclipse.jdt.core.javabuilder" />
		<builder id="org.eclipse.mtj.core.preverifier" />
	</extension>
	<extension id="preprocessingNature" name="%nature.name.preprocessing"
		point="org.eclipse.core.resources.natures">
		<requires-nature id="org.eclipse.jdt.core.javanature" />
		<requires-nature id="org.eclipse.mtj.core.nature" />
		<runtime>
			<run
				class="org.eclipse.mtj.internal.core.build.preprocessor.PreprocessingNature" />
		</runtime>
		<builder id="org.eclipse.mtj.core.preprocessor" />
	</extension>
	<extension id="l10nNature" name="%nature.name.l10n"
		point="org.eclipse.core.resources.natures">
		<runtime>
			<run class="org.eclipse.mtj.internal.core.l10n.L10nNature">
			</run>
		</runtime>
		<requires-nature id="org.eclipse.mtj.core.nature">
		</requires-nature>
		<builder id="org.eclipse.mtj.core.l10nBuilder">
		</builder>
	</extension>
	<extension id="preverifier" name="%resources.builders.name.preverification"
		point="org.eclipse.core.resources.builders">
		<builder hasNature="true">
			<run
				class="org.eclipse.mtj.internal.core.build.preverifier.builder.PreverificationBuilder">
			</run>
		</builder>
	</extension>
	<extension id="preprocessor" name="%resources.builders.name.preprocessor"
		point="org.eclipse.core.resources.builders">
		<builder hasNature="true">
			<run
				class="org.eclipse.mtj.internal.core.build.preprocessor.PreprocessorBuilder" />
		</builder>
	</extension>
	<extension id="l10nBuilder" name="%resources.builders.name.l10n"
		point="org.eclipse.core.resources.builders">
		<builder hasNature="false">
			<run class="org.eclipse.mtj.internal.core.l10n.L10nBuilder">
			</run>
		</builder>
	</extension>
	 <extension
        id="packageBuilder"
        name="%resources.builders.name.package"
        point="org.eclipse.core.resources.builders">
    <builder
          hasNature="false">
       <run
             class="org.eclipse.mtj.internal.core.build.packaging.PackageBuilder">
       </run>
    </builder>
 </extension>
	<extension id="preprocessor.problemmarker" name="%resources.markers.name.preprocessor"
		point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.core.resources.problemmarker" />
		<super type="org.eclipse.core.resources.textmarker" />
		<persistent value="true" />
	</extension>
	<extension id="org.eclipse.mtj.launchConfigTypes" name="Launch Config Types"
		point="org.eclipse.debug.core.launchConfigurationTypes">
		<launchConfigurationType id="MTJ.emulatorLaunchConfigurationType"
			name="%launchConfigurationType.name.wtk"
			delegate="org.eclipse.mtj.internal.core.launching.midp.EmulatorLaunchConfigDelegate"
			modes="run,debug"
			sourceLocatorId="org.eclipse.jdt.launching.sourceLocator.JavaSourceLookupDirector"
			sourcePathComputerId="org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer">

			<!--
				sourcePathComputerId="org.eclipse.mtj.core.launching.emulationSourcePathComputer"
			-->
		</launchConfigurationType>
	</extension>
	<extension point="org.eclipse.jdt.core.classpathContainerInitializer">
		<classpathContainerInitializer
			class="org.eclipse.mtj.internal.core.project.midp.JavaMEClasspathContainerInitializer"
			id="org.elipse.mtj.JavaMEContainer">
		</classpathContainerInitializer>
	</extension>
	<extension point="org.eclipse.core.runtime.preferences">
		<initializer
			class="org.eclipse.mtj.internal.core.MTJCorePreferenceInitializer" />
	</extension>
	<extension id="org.eclipse.mtj.team.fileTypes" point="org.eclipse.team.core.fileTypes">
		<fileTypes extension="jad" type="text" />
		<fileTypes extension="mtj" type="text" />
	</extension>

	<!-- Refactoring participants -->
	<extension point="org.eclipse.ltk.core.refactoring.moveParticipants">
		<moveParticipant
			class="org.eclipse.mtj.internal.core.refactoring.MidletMoveParticipant"
			id="org.eclipse.mtj.core.refactoring.midletMoveParticipant" name="%moveParticipant.name.MIDletMove">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IType" />
				</with>
			</enablement>
		</moveParticipant>
	</extension>
	<extension point="org.eclipse.ltk.core.refactoring.deleteParticipants">
		<deleteParticipant
			class="org.eclipse.mtj.internal.core.refactoring.MidletDeleteParticipant"
			id="org.eclipse.mtj.core.refactoring.midletDeleteParticipant" name="%deleteParticipant.name.MIDletDelete">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IType" />
				</with>
			</enablement>
		</deleteParticipant>
		<deleteParticipant
			class="org.eclipse.mtj.internal.core.refactoring.PackageDeleteParticipant"
			id="org.eclipse.mtj.core.refactoring.packageDeleteParticipant" name="%deleteParticipant.name.PackageDelete">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IPackageFragment" />
				</with>
			</enablement>
		</deleteParticipant>
	</extension>
	<extension point="org.eclipse.ltk.core.refactoring.renameParticipants">
		<renameParticipant
			class="org.eclipse.mtj.internal.core.refactoring.MidletRenameParticipant"
			id="org.eclipse.mtj.core.refactoring.midletRenameParticipant" name="%renameParticipant.name.MIDletRename">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IType" />
				</with>
			</enablement>
		</renameParticipant>
		<renameParticipant
			class="org.eclipse.mtj.internal.core.refactoring.JadLaunchConfigProjectRenameParticipant"
			name="%renameParticipant.name.JADLaunch"
			id="org.eclipse.mtj.debug.refactoring.jadLaunchConfiguration.projectRename">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IJavaProject" />
				</with>
			</enablement>
		</renameParticipant>
		<renameParticipant
			class="org.eclipse.mtj.internal.core.refactoring.PackageRenameParticipant"
			id="org.eclipse.mtj.core.refactoring.packageRenameParticipant" name="%renameParticipant.name.PackageRename">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.IPackageFragment" />
				</with>
			</enablement>
		</renameParticipant>
	</extension>
	<!-- Preprocessor support -->
	<extension point="org.eclipse.debug.core.sourcePathComputers">
		<sourcePathComputer
			class="org.eclipse.mtj.internal.core.launching.EmulationJavaSourcePathComputer"
			id="org.eclipse.mtj.core.launching.emulationSourcePathComputer" />
	</extension>
	<extension id="problem" name="%resources.markers.name.javameerror"
		point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.jdt.core.problem">
		</super>
		<persistent value="true">
		</persistent>
	</extension>
	<extension id="device.missing" name="%resources.markers.name.missingdevice"
		point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.jdt.core.problem">
		</super>
		<persistent value="true">
		</persistent>
		<attribute name="id">
		</attribute>
	</extension>
	<extension point="org.eclipse.ltk.core.refactoring.moveParticipants">
		<moveParticipant
			class="org.eclipse.mtj.internal.core.refactoring.L10NResourcesMoveParticipant"
			id="org.eclipse.mtj.core.refactoring.LocalizationDataMoveParticipant"
			name="%moveParticipant.name.l10nMove">
			<enablement>
				<with variable="affectedNatures">
					<iterate operator="or">
						<equals value="org.eclipse.mtj.core.nature" />
					</iterate>
				</with>
				<with variable="element">
					<instanceof value="org.eclipse.jdt.core.ICompilationUnit" />
				</with>
			</enablement>
		</moveParticipant>
	</extension>
	<extension point="org.eclipse.core.runtime.contentTypes">
		<content-type base-type="org.eclipse.core.runtime.xml"
			file-names="Localization Data" id="localizationData" name="%content-type.name.l10n"
			priority="high">
			<describer
				class="org.eclipse.core.runtime.content.XMLRootElementContentDescriber">
				<parameter name="element" value="locales">
				</parameter>
			</describer>
		</content-type>
	</extension>
	 <extension-point id="securitypermission" name="%extension-point.name.securitypermission" schema="schema/org_eclipse_mtj_securitypermission.exsd"/>
     <extension-point id="mtjbuildhook" name="%extension-point.name.hook" schema="schema/mtjbuildhook.exsd"/> 
     <extension-point id="jadattributes" name="%extension-point.name.jadattributes" schema="schema/org_eclipse_mtj_core_jadAttributes.exsd"/> 
<extension
       id="jsr118permissions"
       name="%securitypermission.jsr118permissions"
       point="org.eclipse.mtj.core.securitypermission">
    <class
          name="javax.microedition.io.CommConnection">
       <permission
             name="javax.microedition.io.Connector.comm">
       </permission>
    </class>
    <class
          name="javax.microedition.io.DatagramConnection">
       <permission
             name="javax.microedition.io.Connector.datagram">
       </permission>
       <permission
             name="javax.microedition.io.Connector.datagramreceiver">
       </permission>
    </class>
    <class
          name="javax.microedition.io.HttpConnection">
       <permission
             name="javax.microedition.io.Connector.http">
       </permission>
    </class>
    <class
          name="javax.microedition.io.HttpsConnection">
       <permission
             name="javax.microedition.io.Connector.https">
       </permission>
    </class>
    <class
          name="javax.microedition.io.SecureConnection">
       <permission
             name="javax.microedition.io.Connector.ssl">
       </permission>
    </class>
    <class
          name="javax.microedition.io.ServerSocketConnection">
       <permission
             name="javax.microedition.io.Connector.serversocket">
       </permission>
    </class>
    <class
          name="javax.microedition.io.SocketConnection">
       <permission
             name="javax.microedition.io.Connector.socket">
       </permission>
    </class>
    <class
          name="javax.microedition.io.UDPDatagramConnection">
       <permission
             name="javax.microedition.io.Connector.datagram">
       </permission>
       <permission
             name="javax.microedition.io.Connector.datagramreceiver">
       </permission>
    </class>
    <class
          name="javax.microedition.io.PushRegistry">
       <permission
             name="javax.microedition.io.PushRegistry">
       </permission>
    </class>
 </extension>
 <extension
       id="jsr120permissions"
       name="%securitypermission.jsr120permissions"
       point="org.eclipse.mtj.core.securitypermission">
    <class
          name="javax.wireless.messaging.MessageConnection">
       <permission
             name="javax.microedition.io.Connector.sms">
       </permission>
       <permission
             name="javax.microedition.io.Connector.cbs">
       </permission>
       <permission
             name="javax.microedition.io.Connector.mms">
       </permission>
       <permission
             name="javax.wireless.messaging.sms.send">
       </permission>
       <permission
             name="javax.wireless.messaging.sms.receive">
       </permission>
       <permission
             name="javax.wireless.messaging.cbs.receive">
       </permission>
       <permission
             name="javax.wireless.messaging.mms.send">
       </permission>
       <permission
             name="javax.wireless.messaging.mms.receive">
       </permission>
    </class>
 </extension>
 <extension
       point="org.eclipse.jdt.core.compilationParticipant">
    <compilationParticipant
          class="org.eclipse.mtj.internal.core.build.MTJCompilationParticipant"
          id="org.eclipse.mtj.core.mtjCompilationParticipant">
    </compilationParticipant>
 </extension>
</plugin>
